#include <pic.h>
#include "main_def.h"
#include "delay/delay.h"
#include "delay/delay.c"
#include "lcd/lcd.h"
#include "lcd/lcd.c"
#include "i2c/i2c_ee.h"
#include "i2c/i2c_ee.c"

__CONFIG (HS & BOREN & PWRTEN & WDTDIS & UNPROTECT & DEBUGEN & LVPDIS);

void init() {
	lcd_init();
	lcd_clear();
	lcd_puts("READING...");
}


void main() {
	unsigned char i=0;
	unsigned char val;
	init();
	i2c_init();
	//i2c_eeprom_write( 0x00, 0x12 );
	while(i<=10) {   // write 10 numbers to eeprom
		i2c_eeprom_write(i,i);   // it to eeprom
		i++;
		DelayMs(255);
	}
	i=0;
	while(i<=10) {
		val=i2c_eeprom_read(i);   // the memory and show it on leds,it shoaled be the same like the address 
		lcd_var_zhl(val);
		lcd_puts(";");
		DelayMs(255);
		i++;
	}
	//PORTD = i2c_eeprom_read( 0x00 );

	for(;;);
}