#ifndef main_def_h
#define main_def_h	1

#ifndef BITNUM
 #define BITNUM(adr, bit) ((unsigned)(&adr)*8+(bit))  //-- used for port defs
#endif

#define    LCD_DATA   PORTB               //-- LCD Data (High 4 bits)
#define    T_LCD_DATA TRISB
static bit LCD_RS   @ BITNUM(PORTB,2);  //-- LCD RS Control
static bit T_LCD_RS @ BITNUM(TRISB,2);
static bit LCD_EN   @ BITNUM(PORTB,1);  //-- LCD E Control
static bit T_LCD_EN @ BITNUM(TRISB,1);
static bit LCD_RW	@ BITNUM(PORTB,3);	//-- LCD RW Control
static bit T_LCD_RW	@ BITNUM(TRISB,3);

void init(void);

#endif
