/*	Header-Datei fr Hitachi HD44780 - kompatible LCD-Ansteuerung
*	Betrieben wird das Display in 4-Bit-Mode
*	(c) 2008 Tobias John (john.tobi@yahoo.de)
*/

#ifndef _lcd_h
#define _lcd_h 1

#define	LCD_STROBE	((LCD_EN = 1),(LCD_EN=0))
#define CURSOR_OFF    0
#define CURSOR_ON     1

#endif

/* Ein Byte schreiben */
extern void lcd_write(unsigned char);

/* Lschen und Cursor-Home */
extern void lcd_clear(void);

/* Zeichenkette senden */
extern void lcd_puts(const char * s);

/* Cursor an bestimmte Position setzen */
extern void lcd_goto(unsigned char pos);
	
/* Initalisierungsroutine - muss am Anfang einmal ausgefhrt wrden */
extern void lcd_init(void);

/* Cursor an oder aus */
extern void lcd_cursor(char onoff);

/* Cursor to Home-Position */
extern void lcd_home(void);

// 8-Bit variable als Zahl ausgeben
void lcd_var_zhl(unsigned char);